
#include <hsubs.h>

hkey(s)
char *s;
{
	register int hval;
	register char *n;

	hval = 0;
	n = s;

	while(*n){
		hval = (hval + hval) + ((*n << 7) ^ (*n * 13));
		n++;
	}
	return((hval & 077777) % NHENT);
}

